      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this licence along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SOKATU4310.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģɼ
      *  ݡͥ̾  : ݡɽʰʡʡ
      *                      ȣãͣ͡ȣãͣ
      *                      б
      *              :
      *      ȼ        
      *  03/04/17    NACL-ƣ     
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev               
      *  01.00.01    NACL-ƣ    03/05/19  оݸֹɲ
      *  01.00.02    NACL-ƣ    03/07/10  ͭꡦ̵νפ
      *                                     ƱԽ
      *  01.01.03    NACL-ƣ    03/07/21  ̾Τѹ
      *  01.01.04    EXTM-ƣ    03/XX/XX  ܸ2ܤ˥إåɲ
      *  01.01.05    KSK -    04/06/29  ܸǤ1ˤޤȤ
      *****************************************************************
      *
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.
      *
      *    ģ¹ѥե
           SELECT  UPD-FILE        ASSIGN  RECEUPD
                                   ORGANIZATION    IS  LINE
                                                       SEQUENTIAL
                                   FILE    STATUS  IS  STS-RECEUPD.
      *
      *    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    ģ¹ѥե
       FD  UPD-FILE.
           COPY    "CPRCF010.INC"  REPLACING  //RECE10//
                                   BY         //RECE10X//.
      *
      *    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200).
      *
       WORKING-STORAGE             SECTION.
      *
      *    ģ¹ѥե ̾ΰ
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEUPD//.
           03  FILLER              PIC X(04)   VALUE   ".dat".
      *
      *    顼ե ̾ΰ
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEERR//.
           03  FILLER              PIC X(04)   VALUE   ".dat".
      *
      *KSK*     COPY    "HCM2M.INC".
      *KSK*     COPY    "HCM2N.INC".
           COPY    "SKT4310.INC".
           COPY    "SKT4311.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-RECE10          PIC X(02).
           03  STS-RECEERR         PIC X(02).
           03  STS-RECEUPD         PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-ERR             PIC 9(01).
           03  FLG-KOH-END         PIC 9(01).
           03  FLG-UPD             PIC 9(01).
      *
           03  FLG-RECE10          PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-HKNNUM          PIC 9(01).
           03  FLG-HKNJAINF        PIC 9(01).
           03  FLG-UPDFILE         PIC 9(01).
           03  FLG-SEIKYU          PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
      *
           03  FLG-PRTKBN          PIC 9(01).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX                 PIC 9(04).
           03  IDY                 PIC 9(04).
           03  IDZ                 PIC 9(04).
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).
           03  IDX3                PIC 9(04).
      *
      *    ѥ᥿ΰ
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-HOSPID     PIC X(24).
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
           03  WRK-PARA-NYUGAIKBN  PIC X(01).
           03  WRK-PARA-HKNJANUM   PIC X(08).
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-SEIYMDWH        PIC X(22).
           03  WRK-SRYYMWH         PIC X(16).
           03  WRK-SRYYMD          PIC X(08).
      *
           03  WRK-SYMD.
               05  WRK-SYY         PIC 9(04).
               05  WRK-SMM         PIC 9(02).
               05  WRK-SDD         PIC 9(02).
           03  WRK-HENYMDG         PIC X(22).
      *
           03  WRK-RECEERR           PIC X(200).
           03  WRK-PATH            PIC X(64).
           03  WRK-INDEX           PIC 9(02).
      *
      *    Խ
           03  WRK-KOHNUM9         PIC ZZ9.
           03  WRK-NISSUZ          PIC ZZZZZZ.
           03  WRK-KENSUZ          PIC ZZZZZZ.
           03  WRK-TENSUZ          PIC Z,ZZZ,ZZZ,ZZZ.
           03  WRK-FTNMONEYZ       PIC Z,ZZZ,ZZZ,ZZZ.
           03  WRK-KINGAKZ         PIC Z,ZZZ,ZZZ,ZZZ.
           03  WRK-FTNGAKZ         PIC Z,ZZZ,ZZZ,ZZZ.
           03  WRK-PAGE            PIC ZZZ9.
      *
      *    ̾Խ
           03  WRK-KOHKBN.
               05  WRK-KOHNUM        PIC X(03).
               05  WRK-HKNNAME       PIC X(20).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-PAGE              PIC 9(04).
           03  CNT-RECE10            PIC 9(06).
           03  CNT-UPDFILE           PIC 9(06).
      *
      *    ΰ
       01  SUM-AREA.
           03  SUM-TABLE.
      *        ̱ݸϷݷ
               05  SUM-TBL             OCCURS  11.
                   07  SUM-TBL-G       OCCURS  2.
                       09  SUM-KENSU           PIC  9(06).
                       09  SUM-NISSU           PIC  9(06).
                       09  SUM-TOTALTEN        PIC  9(10).
                       09  SUM-FTNMONEY        PIC  9(10).
                   07  SUM-SHOKUJIKENSU        PIC  9(06).
                   07  SUM-SHOKUJINISSU        PIC  9(06).
                   07  SUM-SHOKUJIRYOYOHI      PIC  9(10).
                   07  SUM-SHOKUJIFTN          PIC  9(10).
      *
      *        ô
               05  SUM-KOH-TABLE.
                   07  SUM-KOH-TBL     OCCURS  100.
                       09  SUM-KOH-KOHNUM      PIC  X(03).
                       09  SUM-TBL-G   OCCURS  2.
                           11  SUM-KOH-KENSU   PIC  9(06).
                           11  SUM-KOH-NISSU   PIC  9(06).
                           11  SUM-KOH-TOTALTEN
                                               PIC  9(10).
                           11  SUM-KOH-FTNMONEY
                                               PIC  9(10).
                       09  SUM-KOH-SHOKUJIKENSU
                                               PIC  9(06).
                       09  SUM-KOH-SHOKUJINISSU
                                               PIC  9(06).
                       09  SUM-KOH-SHOKUJIRYOYOHI
                                               PIC  9(10).
                       09  SUM-KOH-SHOKUJIFTN  PIC  9(10).
      *
      *    ΰ
       01  KEY-AREA                    VALUE   LOW-VALUE.
           03  KEY-NEW.
               05  KEY-N-HKNJANUM      PIC X(08).
           03  KEY-OLD.
               05  KEY-O-HKNJANUM      PIC X(08).
      *
      *
           COPY    "CPSHELLTBL.INC".
      *
           COPY    "ORCA-DBPATH".
      *
      *    
       01  WRK-CONS-AREA.
      *
      *    ǯ
           03  WRK-CONS-SRYYM-200304   PIC X(06)   VALUE   "200304".
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    ݸ
       01  HKNJAINF-REC.
           COPY    "CPHKNJAINF.INC".
      *
      *    ݸֹ
       01  HKNNUM-REC.
           COPY    "CPHKNNUM.INC".
      *
      *    ŵؾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ
           COPY    "CPSK1002.INC".
      *
      *    
           COPY    "CPRCF010.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *
      *    
       01  PRTKANRI-REC.
           COPY    "CPPRTKANRI.INC".
      *
      *    
       01  PRTDATA-REC.
           COPY    "CPPRTDATA.INC".
      *
      ******************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ¹
           COPY    "CPORCSPRT.INC".
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    ̥ѥ᥿
           COPY    "MCPAREA".
      *
           COPY    "MCPDATA.INC".
           COPY    "CPORCMCP.INC".

      *
      ******************************************************************
      *    kumamoto add
      *****************************************************************
      *
      *    ģ¸
      *     COPY    "MCPDATA.INC".
      *     COPY    "ORCA-DBPATH".
      *     COPY    "CPORCMCP.INC".
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
      *     DISPLAY "*** Start 100-INIT-SEC"
           PERFORM 100-INIT-SEC
      *
      *     DISPLAY "*** Start 200-MAIN-SEC"
           PERFORM 200-MAIN-SEC
                   UNTIL       FLG-END     =   1
      *
      *     DISPLAY "*** Start 300-END-SEC"
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE                  FLG-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  CNT-AREA
           INITIALIZE                  SUM-AREA
      *
           PERFORM 100-DBOPEN-SEC
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID
                                               LNK-PRTKANRI-PRTNM
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
      *                                         WRK-PARA-NYUGAIKBN
                                               WRK-PARA-HOSPID
                                               WRK-PARA-HKNJANUM
      *
      *    ƥå״Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SOKATU4310"      TO  JOB-PGID
      *KSK*     MOVE    "ɽʲǡ"
           MOVE    "ɽʷǡ"
                                   TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
           MOVE    "RECEUPD"       TO  RECEUPD-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID
                                   TO  RECEUPD-TERMID
      *
           MOVE    "RECEERR"       TO  RECEERR-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID
                                   TO  RECEERR-TERMID
      *
           MOVE    LNK-PRTKANRI-SRYYM
                                   TO  WRK-SRYYMD (1:6)
           MOVE    "01"            TO  WRK-SRYYMD (7:2)
      *
           MOVE    WRK-SRYYMD      TO  WRK-SYMD
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)
                                   TO  WRK-SRYYMWH
      *
           INITIALIZE              STS-AREA-DAY
           INITIALIZE              LNK-DAY2-AREA
           MOVE    "21"            TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD
                                   TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"       USING   STS-AREA-DAY
                                           LNK-DAY2-AREA
           IF      STS-DAY-RC1     =   ZERO
               MOVE    LNK-DAY2-EDTYMD3
                                       TO  WRK-SEIYMDWH
           END-IF
      *
      *    ŵأɣԽ
           INITIALIZE              SYS-1001-REC
           MOVE    "1001"          TO  SYS-1001-KANRICD
           MOVE    "*"             TO  SYS-1001-KBNCD
           MOVE    SYS-1001-REC    TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI    =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1001-REC
               IF      SYS-1001-HOSPNAME   =   LOW-VALUE
                   MOVE    SPACE           TO  SYS-1001-HOSPNAME
               END-IF
               IF      SYS-1001-KAISETUNAME
                                           =   LOW-VALUE
                   MOVE    SPACE           TO  SYS-1001-KAISETUNAME
               END-IF
           ELSE
               MOVE    "ŵؾ󤬼ǤޤǤ"
                                       TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
      *
      *    ŵؾݽ
           INITIALIZE              SYS-1002-REC
           MOVE    "1002"          TO  SYS-1002-KANRICD
           MOVE    "*"             TO  SYS-1002-KBNCD
           MOVE    SYS-1002-REC    TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI    =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1002-REC
               IF      SYS-1002-ADRS   =   LOW-VALUE
                   MOVE    SPACE           TO  SYS-1002-ADRS
               END-IF
           ELSE
               MOVE    "ŵؾʽϡˤǤޤǤ"
                                       TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
      *
           OPEN    OUTPUT  UPD-FILE
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *    -ܸ-
      *    ʤ¾Υ쥻ˡ
      *    סʺǤޤϺ߰ꤷ쥻
      *
           MOVE    LOW-VALUE           TO  KEY-AREA
           MOVE    3                   TO  WRK-INDEX
      *
           PERFORM 900-SEIKYU-SELECT-SEC
      *
           PERFORM 200-HENSYU-SEC      UNTIL   FLG-RECE10   =   1
                                       OR      FLG-ERR      =   1
      *
      *     MOVE    "DBCLOSE"           TO  MCP-FUNC
      *     MOVE    WRK-PATH            TO  ORC-DBPATH
      *                                 TO  MCP-PATH
      *     CALL    "ORCMCPSUB"         USING
      *                                 MCPAREA
      *                                 ORCMCPAREA
      *                                 MCPDATA-REC
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    PATH-TBL-SEIKYU-ST-KEY2
                                       TO  MCP-PATH
           CALL    "MCPSUB"            USING
                                       MCPAREA
                                       MCPDATA-REC
      
      *
      *
      *    ʤ¾Υ쥻ˡ
      *
           MOVE    LOW-VALUE           TO  KEY-AREA
           MOVE    1                   TO  WRK-INDEX
      *
      *     MOVE    "SEIKYU-KEY21"      TO  WRK-PATH
           PERFORM 900-SEIKYU-SELECT-SEC
      *
           PERFORM 200-HENSYU-SEC      UNTIL   FLG-RECE10   =   1
                                       OR      FLG-ERR      =   1
      *
      *     MOVE    "DBCLOSE"           TO  MCP-FUNC
      *     MOVE    WRK-PATH            TO  ORC-DBPATH
      *                                 TO  MCP-PATH
      *     CALL    "ORCMCPSUB"         USING
      *                                 MCPAREA
      *                                 ORCMCPAREA
      *                                 MCPDATA-REC
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    PATH-TBL-SEIKYU-ST-KEY2
                                       TO  MCP-PATH
           CALL    "MCPSUB"            USING
                                       MCPAREA
                                       MCPDATA-REC
      *
      *    סʺǤޤϺ߰ꤷ쥻
           IF      FLG-ERR             =   ZERO
               MOVE    LOW-VALUE           TO  KEY-AREA
               MOVE    2                   TO  WRK-INDEX
      *
               PERFORM 900-SEIKYU-SELECT-SEC
      *
               PERFORM 200-HENSYU-SEC      UNTIL   FLG-RECE10   =   1
                                           OR      FLG-ERR      =   1
      *
      *         MOVE    "DBCLOSE"           TO  MCP-FUNC
      *         MOVE    WRK-PATH            TO  ORC-DBPATH
      *         CALL    "ORCMCPSUB"         USING
      *                                     MCPAREA
      *                                     ORCMCPAREA
      *                                     MCPDATA-REC
      *
               MOVE    "DBCLOSE"           TO  MCP-FUNC
               MOVE    PATH-TBL-SEIKYU-ST-KEY2
                                           TO  MCP-PATH
               CALL    "MCPSUB"            USING
                                           MCPAREA
                                           MCPDATA-REC
           END-IF
      *
           MOVE    1                   TO  FLG-END
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       200-HENSYU-SEC                SECTION.
      *
           INITIALIZE                  SUM-AREA
      *
           MOVE    KEY-NEW             TO  KEY-OLD
           PERFORM             UNTIL   FLG-END     =   1
                               OR      KEY-NEW NOT =   KEY-OLD
               PERFORM 2001-SYUKEI-SEC
           END-PERFORM
      *
          IF      FLG-UPD        =   1
          AND     FLG-ERR        =   ZERO
               PERFORM 2002-PRINT-HENSYU-SEC
           END-IF
           .
       200-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸ̽׽
      *****************************************************************
       2001-SYUKEI-SEC                SECTION.
      *
           MOVE    ZERO                    TO  IDX-AREA
                                               FLG-UPD
      *
           EVALUATE    RECE10-NYUGAIKBN
               WHEN    "1"
                   MOVE    1                 TO  IDX3
               WHEN    "2"
                   MOVE    2                 TO  IDX3
           END-EVALUATE
      *
      *        Ϸݷ
           IF      RECE10-RJNHKNNUM    NOT =   SPACE
               EVALUATE    RECE10-KYURATE
                   WHEN    9
                       MOVE    10                  TO  IDX
                   WHEN    8
                       MOVE    11                  TO  IDX
               END-EVALUATE
           ELSE
      *        ̱ݸ
               EVALUATE    RECE10-HKNNUM-S
                       WHEN    "060"
                           IF      RECE10-AGE          >=  70
                               EVALUATE    RECE10-KYURATE
                                   WHEN    9
                                       MOVE    1           TO  IDX
                                   WHEN    8
                                       MOVE    2           TO  IDX
                               END-EVALUATE
                           ELSE
                               IF      RECE10-AGE      <   3
                                   MOVE    4               TO  IDX
                               ELSE
                                   MOVE    3               TO  IDX
                               END-IF
                           END-IF
                       WHEN    "067"
                           IF      RECE10-AGE          >=  70
                               EVALUATE    RECE10-KYURATE
                                   WHEN    9
                                       MOVE    6           TO  IDX
                                   WHEN    8
                                       MOVE    7           TO  IDX
                               END-EVALUATE
                           ELSE
                               IF      RECE10-AGE      <   3
                                   MOVE    9               TO  IDX
                               ELSE
                                   IF      RECE10-HONKZKKBN    =   "1"
                                       MOVE    5               TO  IDX
                                   ELSE
                                       MOVE    8               TO  IDX
                                   END-IF
                               END-IF
                           END-IF
               END-EVALUATE
           END-IF
           PERFORM 20011-HKN-SYUKEI-SEC
      *
      *    ôʬ
           IF      RECE10-KOHNUM (1)   NOT =   SPACE
               PERFORM 20012-KOH-SYUKEI-SEC
           END-IF
      *
      *    פоݤˤʤʤäȤ
           IF      FLG-UPD             =   1
               PERFORM 20013-UPD-FILE-HENSYU-SEC
      *
               MOVE    WRK-PATH            TO  ORC-DBPATH
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    SPACE               TO  WRK-RECEERR
               STRING "оݳֹ"     DELIMITED  BY  SIZE
                       RECE10-PTNUM                DELIMITED  BY  SPACE
                       " ǯ"               DELIMITED  BY  SIZE
                       RECE10-SRYYM                DELIMITED  BY  SIZE
                       " 쥻̡"               DELIMITED  BY  SIZE
                       RECE10-RECESYUBETU          DELIMITED  BY  SIZE
                                           INTO    WRK-RECEERR
               END-STRING
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       2001-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸϷݷʬ׽
      *****************************************************************
       20011-HKN-SYUKEI-SEC          SECTION.
      *
           IF      IDX             =   ZERO
           OR      IDX3            =   ZERO
               GO  TO  20011-HKN-SYUKEI-EXT
           END-IF
      *
      *    ݸϷݷʬ
           MOVE    1                         TO  IDX1
           MOVE    IDX                       TO  IDX2
      *
      *    
           ADD     1               TO  SUM-KENSU (IDX2 IDX3)
      *
      *    ܤε
           ADD     RECE10-JNISSU   (IDX1) TO
                                   SUM-NISSU      (IDX2 IDX3)
           ADD     RECE10-TOTALTEN (IDX1) TO
                                   SUM-TOTALTEN   (IDX2 IDX3)
           ADD     RECE10-FTNMONEY (IDX1) TO
                                   SUM-FTNMONEY   (IDX2 IDX3)
      *    
           IF      IDX3                   =   1
              IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
                  ADD     1              TO
                                  SUM-SHOKUJIKENSU    (IDX2)
                  ADD     RECE10-SHOKUJINISSU   (IDX1)
                                         TO
                                  SUM-SHOKUJINISSU    (IDX2)
                  ADD     RECE10-SHOKUJIRYOYOHI (IDX1)
                                         TO
                                  SUM-SHOKUJIRYOYOHI  (IDX2)
                  ADD     RECE10-SHOKUJIFTN     (IDX1)
                                         TO
                                  SUM-SHOKUJIFTN      (IDX2)
               END-IF
           END-IF
      *
           MOVE    1               TO  FLG-UPD
           .
       20011-HKN-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ôʬ׽
      *****************************************************************
       20012-KOH-SYUKEI-SEC        SECTION.
      *
           PERFORM VARYING IDZ     FROM    1   BY  1
                   UNTIL   IDZ     >       4
                   OR  RECE10-KOHNUM (IDZ) =   SPACE
      *
      *        ̵ΤȤ
               IF      RECE10-KOHNUM (IDZ) =   "091"
                   MOVE    "051"               TO  RECE10-KOHNUM (IDZ)
               END-IF
      *
               PERFORM VARYING IDX2    FROM    1   BY  1
                       UNTIL   IDX2 >          100
                   IF      SUM-KOH-KOHNUM (IDX2) =   SPACE
                       MOVE    RECE10-KOHNUM (IDZ)     TO
                                       SUM-KOH-KOHNUM (IDX2)
                   END-IF
                   IF      RECE10-KOHNUM (IDZ)
                                   =   SUM-KOH-KOHNUM (IDX2)
                       PERFORM 200121-KOH-SYUKEI-01-SEC
                       MOVE    100             TO  IDX2
                   END-IF
               END-PERFORM
           END-PERFORM
           .
       20012-KOH-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    񽸷׽
      *****************************************************************
       200121-KOH-SYUKEI-01-SEC        SECTION.
      *
           COMPUTE IDY     =   IDZ     +   1
      *
      *    
           ADD     1               TO  SUM-KOH-KENSU (IDX2 IDX3)
      *
      *    ܤε
           ADD     RECE10-JNISSU   (IDY) TO
                                   SUM-KOH-NISSU      (IDX2 IDX3)
           ADD     RECE10-TOTALTEN (IDY) TO
                                   SUM-KOH-TOTALTEN   (IDX2 IDX3)
           ADD     RECE10-FTNMONEY (IDY) TO
                                   SUM-KOH-FTNMONEY   (IDX2 IDX3)
      *    
           IF      IDX3                   =   1
              IF      RECE10-SHOKUJINISSU(IDY)   >   ZERO
                  ADD     1              TO
                                  SUM-KOH-SHOKUJIKENSU   (IDX2)
                  ADD     RECE10-SHOKUJINISSU   (IDY)
                                         TO
                                  SUM-KOH-SHOKUJINISSU   (IDX2)
                  ADD     RECE10-SHOKUJIRYOYOHI (IDY)
                                         TO
                                  SUM-KOH-SHOKUJIRYOYOHI (IDX2)
                  ADD     RECE10-SHOKUJIFTN     (IDY)
                                         TO
                                  SUM-KOH-SHOKUJIFTN     (IDX2)
               END-IF
           END-IF
      *
           MOVE    1               TO  FLG-UPD
           .
       200121-KOH-SYUKEI-01-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¹ѥեϽ
      *****************************************************************
       20013-UPD-FILE-HENSYU-SEC         SECTION.
      *
           MOVE    RECE10-REC          TO  RECE10X-REC
           WRITE   RECE10X-REC
           ADD     1                   TO  CNT-UPDFILE
           .
       20013-UPD-FILE-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       2002-PRINT-HENSYU-SEC                SECTION.
      *
      *    ĢɼԽ<Фȣãͣ>
           PERFORM 20021-HEAD-HEN-01-SEC
      *    ĢɼԽ<Фȣãͣ>
           PERFORM 20022-HEAD-HEN-02-SEC
      *    ĢɼԽ<>
           PERFORM 20023-BODY-HEN-SEC
      *    Ģɼ
           PERFORM 20024-PRINT-OUT-SEC
      *
           .
       2002-PRINT-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       20021-HEAD-HEN-01-SEC          SECTION.
      *
           INITIALIZE                      HCM2M
      *
           MOVE    WRK-SEIYMDWH        TO  HCM2M-SEIYMD
      *
           MOVE    WRK-SRYYMWH         TO  HCM2M-PRTYM
      *
      *    ŵؽ
           MOVE    SYS-1002-ADRS       TO  HCM2M-ADRS
      *    ŵ̾
           MOVE    SYS-1001-HOSPNAME   TO  HCM2M-HOSPNAME
      *
           MOVE    SYS-1001-KAISETUNAME
                                       TO  HCM2M-KAISETUNAME
      *
           MOVE    SYS-1001-HOSPCDN    TO  HCM2M-HOSPCD
      *
           MOVE    SPACE               TO  HKNJAINF-REC
           INITIALIZE                      HKNJAINF-REC
           MOVE    SYS-1001-HOSPID     TO  HKNJA-HOSPID
           MOVE    KEY-O-HKNJANUM      TO  HKNJA-HKNJANUM
           MOVE    HKNJAINF-REC        TO  MCPDATA-REC
           PERFORM 900-HKNJAINF-INV-SEC
           IF      FLG-HKNJAINF        =   ZERO
               MOVE    HKNJA-HKNJANAME     TO  HCM2M-HKNJANAME
           END-IF
           MOVE    KEY-O-HKNJANUM      TO  HCM2M-HKNJANUM
      *
           EVALUATE    WRK-INDEX
               WHEN    1
                   MOVE    "¾Υ쥻"      TO  HCM2M-TITLE
               WHEN    2
                   MOVE    "ǤޤϺ߰ꤷ쥻"
                                               TO  HCM2M-TITLE
      *KSK add*
               WHEN    3
                   MOVE    ""                  TO  HCM2M-TITLE
           END-EVALUATE
      *
           .
       20021-HEAD-HEN-01-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<Фȣãͣ>
      *****************************************************************
       20022-HEAD-HEN-02-SEC          SECTION.
      *
           INITIALIZE                      HCM2N
      *** Start***
      *
           MOVE    WRK-SEIYMDWH        TO  HCM2N-SEIYMD
      *
           MOVE    WRK-SRYYMWH         TO  HCM2N-PRTYM
      *    ŵؽ
           MOVE    SYS-1002-ADRS       TO  HCM2N-ADRS
      *    ŵ̾
           MOVE    SYS-1001-HOSPNAME   TO  HCM2N-HOSPNAME
      *
           MOVE    SYS-1001-KAISETUNAME
                                       TO  HCM2N-KAISETUNAME
      *
           MOVE    HKNJA-HKNJANAME     TO  HCM2N-HKNJANAME
      *** End***
      *
           MOVE    SYS-1001-HOSPCDN    TO  HCM2N-HOSPCD
      *
           EVALUATE    WRK-INDEX
               WHEN    1
                   MOVE    "¾Υ쥻"      TO  HCM2N-TITLE
               WHEN    2
                   MOVE    "ǤޤϺ߰ꤷ쥻"
                                               TO  HCM2N-TITLE
      *KSK add*
               WHEN    3
                   MOVE    ""                  TO  HCM2N-TITLE
           END-EVALUATE
      *
           MOVE    KEY-O-HKNJANUM      TO  HCM2N-HKNJANUM
      *
           .
       20022-HEAD-HEN-02-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       20023-BODY-HEN-SEC      SECTION.
      *
      *    ̱ݸ
           PERFORM VARYING IDX FROM    1   BY  1
                   UNTIL   IDX >       9
               PERFORM VARYING IDY FROM    1   BY  1
                       UNTIL   IDY >       2
                   MOVE    SUM-KENSU   (IDX IDY)
                                           TO  WRK-KENSUZ
                   MOVE    WRK-KENSUZ      TO  HCM2M-KENSU (IDX IDY)
                   MOVE    SUM-NISSU   (IDX IDY)
                                           TO  WRK-NISSUZ
                   MOVE    WRK-NISSUZ      TO  HCM2M-NISSU (IDX IDY)
                   MOVE    SUM-TOTALTEN(IDX IDY)
                                           TO  WRK-TENSUZ
                   MOVE    WRK-TENSUZ      TO  HCM2M-TENSU (IDX IDY)
                   IF    ( IDY             =   2                       )
                   AND   ( IDX             =   3   OR  4   OR  5   OR
                                               8   OR  9               )
                       CONTINUE
                   ELSE
                       MOVE    SUM-FTNMONEY    (IDX IDY)
                                               TO  WRK-FTNMONEYZ
                       MOVE    WRK-FTNMONEYZ   TO  HCM2M-ITBFTN(IDX IDY)
                   END-IF
               END-PERFORM
               MOVE    SUM-SHOKUJIKENSU(IDX)   TO  WRK-KENSUZ
               MOVE    WRK-KENSUZ              TO  HCM2M-SYOKENSU (IDX)
               MOVE    SUM-SHOKUJINISSU(IDX)   TO  WRK-NISSUZ
               MOVE    WRK-NISSUZ              TO  HCM2M-SYONISSU (IDX)
               MOVE    SUM-SHOKUJIRYOYOHI(IDX) TO  WRK-KINGAKZ
               MOVE    WRK-KINGAKZ             TO  HCM2M-SYOKINGAK(IDX)
               MOVE    SUM-SHOKUJIFTN   (IDX)  TO  WRK-FTNGAKZ
               MOVE    WRK-FTNGAKZ             TO  HCM2M-SYOFTNGAK(IDX)
           END-PERFORM
      *
      *    Ϸݷ
           MOVE    ZERO                TO  IDZ
           PERFORM VARYING IDX FROM    10  BY  1
                   UNTIL   IDX >       11
               ADD     1                   TO  IDZ
               PERFORM VARYING IDY FROM    1   BY  1
                       UNTIL   IDY >       2
                   MOVE    SUM-KENSU   (IDX IDY)
                                           TO  WRK-KENSUZ
                   MOVE    WRK-KENSUZ      TO  HCM2N-HKN-KENSU (IDZ IDY)
                   MOVE    SUM-NISSU   (IDX IDY)
                                           TO  WRK-NISSUZ
                   MOVE    WRK-NISSUZ      TO  HCM2N-HKN-NISSU (IDZ IDY)
                   MOVE    SUM-TOTALTEN(IDX IDY)
                                           TO  WRK-TENSUZ
                   MOVE    WRK-TENSUZ      TO  HCM2N-HKN-TENSU (IDZ IDY)
                   MOVE    SUM-FTNMONEY    (IDX IDY)
                                           TO  WRK-FTNMONEYZ
                   MOVE    WRK-FTNMONEYZ   TO  HCM2N-HKN-ITBFTN(IDZ IDY)
               END-PERFORM
               MOVE    SUM-SHOKUJIKENSU(IDX)
                                           TO  WRK-KENSUZ
               MOVE    WRK-KENSUZ          TO  HCM2N-HKN-SYOKENSU (IDZ)
               MOVE    SUM-SHOKUJINISSU(IDX)
                                           TO  WRK-NISSUZ
               MOVE    WRK-NISSUZ          TO  HCM2N-HKN-SYONISSU (IDZ)
               MOVE    SUM-SHOKUJIRYOYOHI(IDX)
                                           TO  WRK-KINGAKZ
               MOVE    WRK-KINGAKZ         TO  HCM2N-HKN-SYOKINGAK(IDZ)
               MOVE    SUM-SHOKUJIFTN   (IDX)
                                           TO  WRK-FTNGAKZ
               MOVE    WRK-FTNGAKZ         TO  HCM2N-HKN-SYOFTNGAK(IDZ)
           END-PERFORM
      *
      *    Ģɼʣܡ
           MOVE    ZERO                TO  FLG-PRTKBN
           PERFORM 20024-PRINT-OUT-SEC
           MOVE    1                   TO  FLG-PRTKBN
      *    ôʬԽ
           MOVE    ZERO                TO  FLG-KOH-END
           MOVE    1                   TO  IDX2
      *
           PERFORM 200231-KOH-HENSYU-SEC
                                   UNTIL   FLG-KOH-END   =   1
      *
           .
       20023-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ôʬ>
      *****************************************************************
      *
       200231-KOH-HENSYU-SEC         SECTION.
      *
           PERFORM VARYING IDY     FROM    1   BY  1
                   UNTIL   IDY     >       2
                   OR      FLG-KOH-END     =   1
               IF      SUM-KOH-KOHNUM (IDX2)   =   SPACE
                   MOVE    1                   TO  FLG-KOH-END
               ELSE
                   PERFORM 2002311-HKNNUM-HENSYU-SEC
                   PERFORM VARYING IDZ FROM    1   BY  1
                           UNTIL   IDZ >       2
                       MOVE    SUM-KOH-KENSU   (IDX2 IDZ)
                                           TO  WRK-KENSUZ
                       MOVE    WRK-KENSUZ  TO  HCM2N-KOH-KENSU (IDY IDZ)
                       MOVE    SUM-KOH-NISSU   (IDX2 IDZ)
                                           TO  WRK-NISSUZ
                       MOVE    WRK-NISSUZ  TO  HCM2N-KOH-NISSU (IDY IDZ)
                       MOVE    SUM-KOH-TOTALTEN(IDX2 IDZ)
                                           TO  WRK-TENSUZ
                       MOVE    WRK-TENSUZ  TO  HCM2N-KOH-TENSU (IDY IDZ)
                       MOVE    SUM-KOH-FTNMONEY(IDX2 IDZ)
                                           TO  WRK-FTNMONEYZ
                       MOVE    WRK-FTNMONEYZ
                                           TO  HCM2N-KOH-ITBFTN(IDY IDZ)
                   END-PERFORM
                   MOVE    SUM-KOH-SHOKUJIKENSU (IDX2)
                                           TO  WRK-KENSUZ
                   MOVE    WRK-KENSUZ      TO  HCM2N-KOH-SYOKENSU (IDY)
                   MOVE    SUM-KOH-SHOKUJINISSU (IDX2)
                                           TO  WRK-NISSUZ
                   MOVE    WRK-NISSUZ      TO  HCM2N-KOH-SYONISSU (IDY)
                   MOVE    SUM-KOH-SHOKUJIRYOYOHI (IDX2)
                                           TO  WRK-KINGAKZ
                   MOVE    WRK-KINGAKZ     TO  HCM2N-KOH-SYOKINGAK(IDY)
                   MOVE    SUM-KOH-SHOKUJIFTN    (IDX2)
                                           TO  WRK-FTNGAKZ
                   MOVE    WRK-FTNGAKZ     TO  HCM2N-KOH-SYOFTNGAK(IDY)
      *
                   ADD     1               TO  IDX2
               END-IF
           END-PERFORM
      *
           IF      SUM-KOH-KOHNUM (IDX2)   =   SPACE
               MOVE    1                   TO  FLG-KOH-END
           ELSE
      *        Ģɼʣǰʹߡ
               PERFORM 20024-PRINT-OUT-SEC
      *        ĢɼԽ<Ф>
               PERFORM 20022-HEAD-HEN-02-SEC
           END-IF
      *
           .
       200231-KOH-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸʬԽ
      *****************************************************************
      *
       2002311-HKNNUM-HENSYU-SEC         SECTION.
      *
           MOVE    SPACE               TO  WRK-KOHKBN
      *
           MOVE    SUM-KOH-KOHNUM (IDX2)
                                       TO  WRK-KOHNUM9
           MOVE    WRK-KOHNUM9         TO  HCM2N-KOH-NUM (IDY)
      *
      *    ΤȤ
           IF      SUM-KOH-KOHNUM (IDX2)    =   "051"
               MOVE    ""      TO   WRK-HKNNAME
           ELSE
      *        ݸֹɹ
               INITIALIZE                      HKNNUM-REC
               MOVE   SYS-1001-HOSPID      TO    HKN-HOSPID
               MOVE   SUM-KOH-KOHNUM (IDX2)    TO    HKN-HKNNUM
               MOVE   HKNNUM-REC           TO    MCPDATA-REC
               MOVE   "DBSELECT"           TO    MCP-FUNC
               MOVE   "HKNNUM-KEY2"        TO    ORC-DBPATH
               CALL   "ORCMCPSUB"           USING MCPAREA
                                                  ORCMCPAREA
                                                  MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    "HKNNUM-KEY2"       TO  ORC-DBPATH
                   PERFORM 900-HKNNUM-READ-SEC
               ELSE
                   MOVE    1                  TO  FLG-HKNNUM
               END-IF
      *
               PERFORM UNTIL       FLG-HKNNUM      =   1
                   IF      HKN-TEKSTYMD            <=  WRK-SRYYMD
                   AND     HKN-TEKEDYMD            >=  WRK-SRYYMD
                       IF     SUM-KOH-KOHNUM (IDX2)    =   "027"
                           IF   SYS-1001-HOSPSBT    =   HKN-PAYKBN (1:1)
                           AND  SYS-1001-ROUPAYKBN  =   HKN-PAYKBN (2:1)
                               MOVE  HKN-TANSEIDONAME   TO  WRK-HKNNAME
                               MOVE  1                  TO  FLG-HKNNUM
                           END-IF
                       ELSE
                           MOVE    HKN-TANSEIDONAME    TO   WRK-HKNNAME
                           MOVE    1                   TO  FLG-HKNNUM
                       END-IF
                   END-IF
      *
                   IF      FLG-HKNNUM           =   ZERO
                       MOVE    "HKNNUM-KEY2"       TO  ORC-DBPATH
                       PERFORM 900-HKNNUM-READ-SEC
                   END-IF
               END-PERFORM
      *    륯
               MOVE    "DBCLOSE"           TO  MCP-FUNC
               MOVE    "HKNNUM-KEY2"       TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                                MCPAREA
                                                ORCMCPAREA
                                                MCPDATA-REC
           END-IF
      *
           INSPECT WRK-HKNNAME      REPLACING   ALL "" BY  ""
                                                ALL "" BY  ""
           MOVE    WRK-HKNNAME         TO  HCM2N-KOH-NAME(IDY)
           .
       2002311-HKNNUM-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       20024-PRINT-OUT-SEC                SECTION.
      *
           ADD     1                   TO  CNT-PAGE
           MOVE    CNT-PAGE            TO  WRK-PAGE
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           EVALUATE    FLG-PRTKBN
               WHEN    ZERO
                   MOVE    WRK-PAGE            TO  HCM2M-PAGE
      *.redNG?             MOVE    "HCM2M.red"         TO  SPRT-PRTID
                   MOVE    "SKT4310.red"         TO  SPRT-PRTID
      *KSK*             MOVE    "SKT4310"         TO  SPRT-PRTID
                   MOVE    HCM2M               TO  SPRT-PRTDATA
               WHEN    1
                   MOVE    WRK-PAGE            TO  HCM2N-PAGE
      *.redNG?             MOVE   "HCM2N.red"          TO  SPRT-PRTID
                   MOVE   "SKT4311.red"          TO  SPRT-PRTID
      *KSK*             MOVE   "SKT4311"          TO  SPRT-PRTID
                   MOVE    HCM2N               TO  SPRT-PRTDATA
           END-EVALUATE
           EVALUATE    WRK-INDEX
               WHEN    1
                   MOVE    "ɽ"        TO  SPRT-TITLE
               WHEN    2
                   MOVE    "ɽʺ"
                                               TO  SPRT-TITLE
               WHEN    3
                   MOVE    "ܸݹɽ"
                                               TO  SPRT-TITLE
           END-EVALUATE
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           MOVE    "2"                 TO  SPRT-SITEKBN
      *
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       20024-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC                SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT              RECEERR-FILE
      *
               MOVE    WRK-RECEERR         TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *
      *        ִϽ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA
                                       JOBKANRI-REC
           END-IF
      *
           MOVE    1                   TO  FLG-END
                                           FLG-ERR
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC                 SECTION.
      *
           CLOSE   UPD-FILE
      *
      *
           IF      CNT-RECE10            =   ZERO
               CONTINUE
           ELSE
              IF      FLG-UPD        =   1
              AND     FLG-ERR        =   ZERO
                   IF      CNT-UPDFILE    >   ZERO
                       PERFORM 310-SEIKYU-UPD-SEC
                   END-IF
               END-IF
           END-IF
      *
           DISPLAY "*** SOKATU4310 IN  "  CNT-RECE10
           DISPLAY "*** SOKATU4310 END ***"
      *
      *    ƥå״λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    CNT-PAGE        TO  JOB-UPDCNT
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *   ģ¹
      *****************************************************************
       310-SEIKYU-UPD-SEC              SECTION.
      *
           OPEN    INPUT    UPD-FILE
      *
           PERFORM 900-UPD-FILE-READ-SEC
           PERFORM             UNTIL   FLG-UPDFILE    =   1
               MOVE    RECE10X-KEY         TO  RECE10-KEY
               MOVE    RECE10-REC          TO  MCPDATA-REC
               PERFORM 910-SEIKYU-INV-SEC
               IF      FLG-SEIKYU          =   ZERO
                   MOVE    "2"             TO  RECE10-SKYKBN
                   MOVE    LNK-PRTKANRI-SRYYM  TO  RECE10-SKYYM
                   MOVE    LNK-PRTKANRI-SKYYMD TO  RECE10-UPDYMD
                   MOVE    RECE10-REC      TO  MCPDATA-REC
                   MOVE    "DBUPDATE"      TO  MCP-FUNC
                   MOVE    "SEIKYU-KEY"    TO  ORC-DBPATH
                   CALL    "ORCMCPSUB"      USING
                                                MCPAREA
                                                ORCMCPAREA
                                                MCPDATA-REC
                   IF      MCP-RC          =   ZERO
                       PERFORM 900-UPD-FILE-READ-SEC
                   ELSE
                       STRING "ģ¡顼"
                                               DELIMITED  BY  SIZE
                               RECE10-KEY      DELIMITED  BY  SIZE
                                               INTO    WRK-RECEERR
                       END-STRING
                       PERFORM 500-ERR-HENSYU-SEC
                       MOVE    1           TO  FLG-UPDFILE
                   END-IF
               ELSE
                   STRING "ģ¡ɹ߹顼"
                                               DELIMITED  BY  SIZE
                           RECE10X-KEY         DELIMITED  BY  SIZE
                                               INTO    WRK-RECEERR
                   END-STRING
                   PERFORM 500-ERR-HENSYU-SEC
                   MOVE    1               TO  FLG-UPDFILE
               END-IF
           END-PERFORM
      *
           CLOSE   UPD-FILE
           .
       310-SEIKYU-UPD-EXT.
           EXIT.
      *
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ɹ
      *****************************************************************
       900-SEIKYU-SELECT-SEC             SECTION.
      *
           MOVE    ZERO                TO  FLG-RECE10
      *
      *    ģ¸
           MOVE    SPACE               TO  RECE10-REC
           INITIALIZE                      RECE10-REC
           MOVE    WRK-PARA-HOSPID     TO  RECE10-HOSPID
           MOVE    LNK-PRTKANRI-SRYYM  TO  RECE10-SKYYM
           MOVE    WRK-CONS-SRYYM-200304
                                       TO  RECE10-SRYYM
           MOVE    ALL "9"             TO  RECE10-XXSRYYM
           IF      WRK-PARA-HKNJANUM   NOT =   ZERO
               MOVE    WRK-PARA-HKNJANUM   TO  RECE10-XXSTHKNJANUM
                                               RECE10-XXEDHKNJANUM
           ELSE
               MOVE    ALL "0"             TO  RECE10-XXSTHKNJANUM
               MOVE    ALL "9"             TO  RECE10-XXEDHKNJANUM
           END-IF
           MOVE    RECE10-REC          TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
      *
      *     MOVE    WRK-PATH            TO  ORC-DBPATH
      *     CALL    "ORCMCPSUB"          USING
      *                                  MCPAREA
      *                                  ORCMCPAREA
      *                                  MCPDATA-REC
      *
      *     MOVE    PATH-TBL-SEIKYU-KEY21     TO  MCP-PATH
           MOVE    PATH-TBL-SEIKYU-ST-KEY2   TO  MCP-PATH
      
      *     DISPLAY "900-SEIKYU-SELECT-SEC Go1"
      *     DISPLAY "--MCPAREA " MCPAREA
      *     DISPLAY "--ST-KEY2 " PATH-TBL-SEIKYU-ST-KEY2
      *     DISPLAY "--KEY21 " PATH-TBL-SEIKYU-KEY21
      
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
      
      *     DISPLAY "900-SEIKYU-SELECT-SEC Go2"
      
      *
      *add-err                                  ORCMCPAREA
      *Τ褦ѹ٤
      *     MOVE    PATH-TBL-JOBKANRI-KEY
      *                                 TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
      
      *????
      *     DISPLAY "FETCH=" MCP-RC    
      *     DISPLAY "MCPDATA-REC=" MCPDATA-REC    
      *???? 
           IF      MCP-RC              =   ZERO
               MOVE    WRK-PATH            TO  ORC-DBPATH
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-RECE10
               MOVE    HIGH-VALUE      TO  KEY-NEW
           END-IF
           .
       900-SEIKYU-SELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-SEIKYU-READ-SEC           SECTION.
      *
      *     MOVE    WRK-PATH            TO  ORC-DBPATH
      *     MOVE    "DBFETCH"           TO  MCP-FUNC
      *     CALL    "ORCMCPSUB"          USING
      *                                  MCPAREA
      *                                  ORCMCPAREA
      *                                  MCPDATA-REC
      
      *
      *     DISPLAY "900-SEIKYU-READ-SEC Go"
      
           MOVE    "DBFETCH"           TO  MCP-FUNC
      *     MOVE    PATH-TBL-SEIKYU-KEY21
           MOVE    PATH-TBL-SEIKYU-ST-KEY2
                                       TO  MCP-PATH
           CALL    "MCPSUB"             USING
                                        MCPAREA
                                        MCPDATA-REC
      *
      *add-err                                  ORCMCPAREA
      *
      *????
      *     DISPLAY "MCP-PATH=" MCP-PATH    
      *     DISPLAY "MCPAREA=" MCPAREA    
      *     DISPLAY "MCPDATA-REC=" MCPDATA-REC    
      *     DISPLAY "FETCH=" MCP-RC    
      *???? 
           IF      MCP-RC              =   ZERO
      *????
      *         DISPLAY "FETCH=" MCP-RC    
      *???? 
               MOVE    ZERO            TO  FLG-RECE10
               MOVE    MCPDATA-REC         TO  RECE10-REC
      *
      *        ƥȴԤΤȤɤФ
               MOVE    SPACE               TO  PTINF-REC
               INITIALIZE                      PTINF-REC
               MOVE    RECE10-HOSPID       TO  PTINF-HOSPID
               MOVE    RECE10-PTID         TO  PTINF-PTID
               MOVE    PTINF-REC           TO  MCPDATA-REC
               PERFORM 800-PTINF-READ-SEC
               IF      FLG-PTINF           =   ZERO
               AND     PTINF-TSTPTNUMKBN   =   "1"
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *
      *KSK add*
      *        ϼ̤ȤɤФ
               DISPLAY "WRK-INDEX " WRK-INDEX
               DISPLAY "RECE10-HKNJANUM-S " RECE10-HKNJANUM-S
               DISPLAY "RECE10-ZAITAKU " RECE10-ZAITAKU
               EVALUATE    WRK-INDEX
                   WHEN    1
                       IF      RECE10-HKNJANUM-S(1:2) = "43"
                       OR      RECE10-ZAITAKU         = "1"
                           DISPLAY "ɤФ "
                           GO  TO  900-SEIKYU-READ-SEC
                       END-IF
                   WHEN    2
                       IF      RECE10-HKNJANUM-S(1:2) = "43"
                       OR      RECE10-ZAITAKU         NOT = "1"
                           DISPLAY "ɤФ "
                           GO  TO  900-SEIKYU-READ-SEC
                       END-IF
                   WHEN    3
                       IF      RECE10-HKNJANUM-S(1:2) NOT = "43"
      *                 OR      RECE10-ZAITAKU         NOT = "1"
                           DISPLAY "ɤФ "
                           GO  TO  900-SEIKYU-READ-SEC
                       END-IF
               END-EVALUATE
      *

               MOVE    RECE10-HKNJANUM-S   TO  KEY-N-HKNJANUM
               ADD     1                   TO  CNT-RECE10
           ELSE
               MOVE    HIGH-VALUE      TO  KEY-NEW
               MOVE    1               TO  FLG-RECE10
           END-IF
      *
           .
       900-SEIKYU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "PTINF-KEY"         TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "PTINF-KEY"         TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "PTINF-KEY"         TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¹ѥեɹ
      *****************************************************************
       900-UPD-FILE-READ-SEC             SECTION.
      *
           READ    UPD-FILE
               AT  END
                   MOVE    1           TO  FLG-UPDFILE
               NOT AT  END
                   MOVE    ZERO        TO  FLG-UPDFILE
           END-READ
           .
       900-UPD-FILE-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹ
      *****************************************************************
       910-SYSKANRI-INV-SEC         SECTION.
      *
           MOVE    LNK-PRTKANRI-SKYYMD TO  ORC-DBYMD
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "SYSKANRI-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "SYSKANRI-KEY"      TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SYSKANRI
               ELSE
                   MOVE    1                   TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "SYSKANRI-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       910-SYSKANRI-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       910-SEIKYU-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "SEIKYU-KEY"        TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "SEIKYU-KEY"        TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SEIKYU
                   MOVE    MCPDATA-REC         TO  RECE10-REC
               ELSE
                   MOVE    1                   TO  FLG-SEIKYU
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SEIKYU
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "SEIKYU-KEY"        TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       910-SEIKYU-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹޥɹ
      *****************************************************************
       900-HKNNUM-READ-SEC         SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC     TO  HKNNUM-REC
               MOVE    ZERO            TO  FLG-HKNNUM
           ELSE
               INITIALIZE                  HKNNUM-REC
               MOVE    1               TO  FLG-HKNNUM
           END-IF
      *
           .
       900-HKNNUM-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹʥ
      *****************************************************************
       900-HKNJAINF-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "HKNJAINF-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "HKNJAINF-KEY"      TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-HKNJAINF
                   MOVE    MCPDATA-REC         TO  HKNJAINF-REC
               ELSE
                   MOVE    1                   TO  FLG-HKNJAINF
               END-IF
           ELSE
               MOVE    1                   TO  FLG-HKNJAINF
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "HKNJAINF-KEY"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       900-HKNJAINF-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
           MOVE    "DBOPEN"            TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
      *
           MOVE    "DBSTART"           TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
      *
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC.
           .
       900-DBCLOSE-EXT.
           EXIT.
